hash

来自「Linux下文件工具。」· 代码 · 共 41 行

TXT
41
字号
#!/bin/sh# Exercise a bug that was fixed in 4.0s.# Before then, rm would fail occasionally, sometimes via# a failed assertion, others with a seg fault.. $srcdir/../expensiveif test "$VERBOSE" = yes; then  set -x  rm --versionfipwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 || exit $?; exit $status' 0trap 'exit $?' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmp# Create a hierarchy with 3*26 leaf directories, each at depth 153.echo "$0: creating 78 trees, each of depth 153; this will take a while..." >&2y=`yes |head -n 150 |tr '\012' /`for i in 1 2 3; do  for j in a b c d e f g h i j k l m n o p q r s t u v w x y z; do    mkdir -p t/$i/$j/$y || framework_failure=1  donedoneif test $framework_failure = 1; then  echo 'failure in testing framework'  exit 1fifail=0rm -r t || fail=1(exit $fail); exit

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?